--- a/tests/test-profile Tue Apr 07 20:57:25 2009 +0200
+++ b/tests/test-profile Wed Apr 08 14:18:20 2009 +0200
@@ -4,12 +4,6 @@
hg --time help -q help 2>&1 | grep Time > /dev/null || echo --time failed
echo % test --profile
-if "$TESTDIR/hghave" -q hotshot; then
- # hotshot might be missing for licensing issues
- hg --profile help -q help 2>&1 | grep ncalls > /dev/null || echo --profile failed
+if "$TESTDIR/hghave" -q lsprof; then
+ hg --profile help -q help 2>&1 | grep CallCount > /dev/null || echo --profile failed
fi
-
-echo % test --lsprof
-if "$TESTDIR/hghave" -q lsprof; then
- hg --lsprof help -q help 2>&1 | grep CallCount > /dev/null || echo --lsprof failed
-fi